<div class="root-container">
  <app-header (loginButtonClicked)="showLoginModal($event)">
  </app-header>

  <main class="main-content">
    <router-outlet></router-outlet>
  </main>

  <div class="app-background-img">
  </div>

  <app-login [isVisible]="this.isVisibleLoginModal"
             (visibilityChange)="showLoginModal($event)"></app-login>

  <app-footer class="footer"></app-footer>
  <ngx-spinner class="spinner"
               bdColor="rgba(0, 0, 0, 0.8)"
               size="medium"
               type="ball-spin-clockwise-fade"
               [fullScreen]="true">
    <p class="spinner"> Loading... </p>
  </ngx-spinner>
</div>
